USE [COWS]
GO
_CreateObject 'SP','dbo','getTransportLookupData'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Ramesh Ragi>
-- Create date: <08/03/2011>
-- Description:	<Get Lookup Data for Transport Order>
-- =============================================
ALTER PROCEDURE [dbo].[getTransportLookupData] 
AS
BEGIN
	BEGIN TRY
		SELECT IPT_AVLBLTY_ID, IPT_AVLBLTY_DES FROM dbo.LK_IPT_AVLBLTY WITH (NOLOCK) WHERE REC_STUS_ID = 1 ORDER BY IPT_AVLBLTY_DES
		SELECT RGN_ID,RGN_DES FROM dbo.LK_XNCI_RGN WITH (NOLOCK) WHERE REC_STUS_ID = 1  ORDER BY RGN_DES
		SELECT SALS_CHNL_ID,SALS_CHNL_DES FROM dbo.LK_SALS_CHNL WITH (NOLOCK) WHERE REC_STUS_ID = 1  ORDER BY SALS_CHNL_DES
		SELECT VNDR_LOCAL_ACCS_PRVDR_GRP_NME FROM dbo.LK_VNDR_LOCAL_ACCS_PRVDR_GRP WITH (NOLOCK)  ORDER BY VNDR_LOCAL_ACCS_PRVDR_GRP_NME
		SELECT VNDR_TYPE_ID,VNDR_TYPE_DES FROM dbo.LK_VNDR_TYPE WITH (NOLOCK) WHERE REC_STUS_ID = 1  ORDER BY VNDR_TYPE_DES
		SELECT CUR_ID,CUR_NME FROM dbo.LK_CUR WITH (NOLOCK) WHERE REC_STUS_ID = 1  ORDER BY CUR_NME
		SELECT ROLE_ID,ROLE_NME,ROLE_TYPE_ID From dbo.LK_ROLE WITH (NOLOCK) ORDER BY ROLE_NME
		SELECT CNTCT_TYPE_ID,CNTCT_TYPE_DES FROM dbo.LK_CNTCT_TYPE WITH (NOLOCK) WHERE REC_STUS_ID = 1 AND CNTCT_TYPE_DES NOT LIKE 'IPL%' ORDER BY CNTCT_TYPE_DES
		SELECT ROLE_TYPE_ID,ROLE_TYPE_DES FROM dbo.LK_ROLE_TYPE WITH (NOLOCK) WHERE REC_STUS_ID = 1
		SELECT ORDR_HOLD_REAS_ID, ORDR_HOLD_REAS_DES FROM dbo.LK_ORDR_HOLD_REAS WITH (NOLOCK) 
		SELECT ACCS_CTY_SITE_ID, ACCS_CTY_NME_SITE_CD FROM dbo.LK_ACCS_CTY_SITE WITH (NOLOCK)
		SELECT ACCS_MB_ID, ACCS_MB_DES FROM dbo.LK_ACCS_MB WITH (NOLOCK)
	END TRY
	BEGIN CATCH
		EXEC [dbo].[insertErrorInfo]      
	END CATCH    	
END
